## opencpn-plugin-celestial 2.3.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3
##---------------------------------------------------------------------------
 

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(celestial_navigation_pi)

SET(PACKAGE_NAME celestial_navigation_pi)
SET(VERBOSE_NAME CelestialNavigation)
SET(TITLE_NAME CELESTIALNAVIGATION)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

MESSAGE (STATUS "*** Building ${PACKAGE_NAME} ***")

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_CELESTIAL_NAVIGATION
          src/astrolabe/calendar.cpp
          src/astrolabe/dicts.cpp
          src/astrolabe/dynamical.cpp
          src/astrolabe/elp2000.cpp
          src/astrolabe/equinox.cpp
          src/astrolabe/globals.cpp
          src/astrolabe/nutation.cpp
          src/astrolabe/riseset.cpp
          src/astrolabe/sun.cpp
          src/astrolabe/util.cpp
          src/astrolabe/vsop87d.cpp
          src/geomag/geomag.c
    	  src/CelestialNavigationDialog.cpp
    	  src/CelestialNavigationUI.cpp
          src/SightDialog.cpp
          src/Sight.cpp
          src/icons.cpp
          src/FindBodyDialog.cpp
          src/FixDialog.cpp
          src/ClockCorrectionDialog.cpp
          src/geodesic.c
          src/transform_star.cpp
          src/epv00.cpp
          src/celestial_navigation_pi.cpp
	)

IF(WIN32)
SET(SRC_TINYXML
            src/tinyxml/tinyxml.cpp
            src/tinyxml/tinyxmlparser.cpp
            src/tinyxml/tinyxmlerror.cpp
)
ENDIF(WIN32)

ADD_DEFINITIONS(-DTIXML_USE_STL)
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_CELESTIAL_NAVIGATION} ${SRC_TINYXML})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-celestial (2.3.0-0~1mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:39:44 -0700

opencpn-plugin-celestial (2.3.0-0~1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 17:10:46 -0700

opencpn-plugin-celestial (2.3.0-0~1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.


 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 17:03:21 -0700

opencpn-plugin-celestial (2.3.0-0~xenial1) xenial; urgency=low

  * v2.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Nov 2018 14:41:05 -0300

opencpn-plugin-celestial (2.3.0-0~artful1) artful; urgency=low

  * v2.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Nov 2018 14:41:05 -0300

opencpn-plugin-celestial (2.3.0-0~bionic1) bionic; urgency=low

  * v2.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Nov 2018 14:41:05 -0300

opencpn-plugin-celestial (2.3.0-0~cosmic1) cosmic; urgency=low

  * v2.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Nov 2018 14:41:05 -0300

opencpn-plugin-celestial (2.0.0-0~precise1) precise; urgency=low

  * v2.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Feb 2016 08:58:04 -0600

opencpn-plugin-celestial (2.0.0-0~trusty1) trusty; urgency=low

  * v2.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Feb 2016 08:58:04 -0600

opencpn-plugin-celestial (2.0.0-0~vivid1) vivid; urgency=low

  * v2.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Feb 2016 08:58:04 -0600

opencpn-plugin-celestial (2.0.0-0~wily1) wily; urgency=low

  * v2.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Feb 2016 08:58:04 -0600

opencpn-plugin-celestial (2.0.0-0~xenial1) xenial; urgency=low

  * v2.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Feb 2016 08:58:04 -0600

opencpn-plugin-celestial (1.11.0-0~precise1) precise; urgency=low

  * v1.11

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:16:47 -0600

opencpn-plugin-celestial (1.11.0-0~trusty1) trusty; urgency=low

  * v1.11

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:16:47 -0600

opencpn-plugin-celestial (1.11.0-0~vivid1) vivid; urgency=low

  * v1.11

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:16:47 -0600

opencpn-plugin-celestial (1.11.0-0~wily1) wily; urgency=low

  * v1.11

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:16:47 -0600

opencpn-plugin-celestial (1.11.0-0~xenial1) xenial; urgency=low

  * v1.11

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:16:47 -0600

opencpn-plugin-celestial (1.10.0-0~precise1) precise; urgency=low

  * v1.10

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 15:33:41 -0500

opencpn-plugin-celestial (1.10.0-0~trusty1) trusty; urgency=low

  * v1.10

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 15:33:41 -0500

opencpn-plugin-celestial (1.10.0-0~utopic1) utopic; urgency=low

  * v1.10

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 15:33:41 -0500

opencpn-plugin-celestial (1.10.0-0~vivid1) vivid; urgency=low

  * v1.10

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 15:33:41 -0500

opencpn-plugin-celestial (1.10.0-0~wily1) wily; urgency=low

  * v1.10

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 15:33:41 -0500

opencpn-plugin-celestial (1.9.0-0~lucid1) lucid; urgency=low

  * v1.9

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 17:22:25 -0500

opencpn-plugin-celestial (1.9.0-0~precise1) precise; urgency=low

  * v1.9

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 17:22:25 -0500

opencpn-plugin-celestial (1.9.0-0~trusty1) trusty; urgency=low

  * v1.9

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 17:22:25 -0500

opencpn-plugin-celestial (1.9.0-0~utopic1) utopic; urgency=low

  * v1.9

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 17:22:25 -0500

opencpn-plugin-celestial (1.9.0-0~vivid1) vivid; urgency=low

  * v1.9

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 17:22:25 -0500

=== debian/control ===
Source: opencpn-plugin-celestial
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-celestial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
